=== project/doc/Makefile ===
all:
	pdflatex lbjp-common-gss_FD.tex
