## glite-lbjp-common-gss 3.1.3

=== debian/changelog ===
glite-lbjp-common-gss (3.1.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:35:56 +0200
