=== debian/control ===
Source: glite-lbjp-common-gss
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-security-gss9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper of Globus GSS/SSL implementation used by gLite LB and JP
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.

Package: libglite-lbjp-common-gss-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gss
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-gssapi-gsi-dev, pkg-config
Description: Development files for gLite L&B/JP common gss library
 This package contains development libraries and header files for gLite gss
 library.

Package: glite-lbjp-common-gss-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}
Description: gLite gss library debugging symbols
 This package contains debugging symbols for gLite gss library.
