## glite-lbjp-common-gss 3.1.4

=== debian/changelog ===
glite-lbjp-common-gss (3.1.4-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:22 +0200
