## glite-lbjp-common-gss 3.2.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 top_builddir=${top_srcdir}/${builddir}
 stagedir=.
 globalprefix=glite
-package=gss
+package=glite-lbjp-common-gss
 version=1.0.0
 PREFIX=/opt/glite
 prefix=
@@ -14,6 +14,8 @@
 cppunit_prefix=/opt/cppunit
 
 CC=gcc
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -34,9 +36,16 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/examples
-
-default: all
+VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/project
+
+SOURCES=\
+	examples/*.c examples/*.h \
+	interface/*.h \
+	project/.post* project/*.pc.in \
+	project/doc/*.cls project/doc/*.pdf project/doc/*.tex project/doc/Makefile \
+	src/*.c \
+	test/*.cpp \
+	LICENSE Makefile
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus, gsoap: -Werror
@@ -68,8 +77,16 @@
 GLOBUS_GSSAPI_NOTHR_LIBS=-lglobus_gssapi_gsi_${nothrflavour}
 GLOBUS_GSSAPI_THR_LIBS=-lglobus_gssapi_gsi_${thrflavour}
 
-KERBEROS_GSSAPI_LIBS=-lgssapi_krb5 
-KERBEROS_GSSAPI_CFLAGS=-DNO_GLOBUS_GSSAPI
+KERBEROS_GSSAPI_LIBDIR?=${kerberos_prefix}/lib
+KERBEROS_GSSAPI_INCDIR?=${kerberos_prefix}/include
+KERBEROS_GSSAPI_LIBNAME?=gssapi_krb5
+
+ifeq (${kerberos_prefix}, /usr)
+KERBEROS_GSSAPI_LIBS?=-l${KERBEROS_GSSAPI_LIBNAME}
+else
+KERBEROS_GSSAPI_LIBS?=-L${KERBEROS_GSSAPI_LIBDIR} -l${KERBEROS_GSSAPI_LIBNAME}
+endif
+KERBEROS_GSSAPI_CFLAGS?=-I${KERBEROS_GSSAPI_INCDIR}
 
 GLOBUS_GSSAPI_GSI_LIBS?=${GLOBUS_THR_LIBS} ${GLOBUS_GSSAPI_THR_LIBS}
 GLOBUS_GSSAPI_GSI_CFLAGS?=${GLOBUS_THR_INC}
@@ -79,14 +96,16 @@
 
 ifeq ($(gssapi_provider),kerberos)
 GSSAPI_THR_LIBS=${GLOBUS_COMMON_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
-GSSAPI_THR_INC=${GLOBUS_COMMON_CFLAGS} ${KERBEROS_GSSAPI_CFLAGS}
+GSSAPI_THR_INC=${GLOBUS_COMMON_CFLAGS} ${KERBEROS_GSSAPI_CFLAGS} -DNO_GLOBUS_GSSAPI
 GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
-GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC} ${KERBEROS_GSSAPI_CFLAGS}
+GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC} ${KERBEROS_GSSAPI_CFLAGS} -DNO_GLOBUS_GSSAPI
+GSSAPI_PROVIDER_PKG=
 else
 GSSAPI_THR_LIBS=${GLOBUS_GSSAPI_GSI_LIBS}
 GSSAPI_THR_INC=${GLOBUS_GSSAPI_GSI_CFLAGS}
 GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${GLOBUS_GSSAPI_NOTHR_LIBS}
 GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC}
+GSSAPI_PROVIDER_PKG=globus-gssapi-gsi
 endif
 
 LIBCARES_CFLAGS?=-I${cares_prefix}/include
@@ -116,6 +135,7 @@
 default_gss=${GSS_NOTHRLTLIB}
 endif
 
+PKG_CONFIG_FILES=gss.pc
 
 ifeq ($(thrflavour),)
 ${GSS_STATICLIB}: ${GSS_THROBJS}
@@ -141,7 +161,7 @@
 endif
 
 
-all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples
+all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES}
 
 check: compile check.gss
 
@@ -150,7 +170,7 @@
 	echo test_gss not run automatically util we have got some credentials in X509_USER_PROXY
 
 test_gss: test_gss.o
-	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${GLOBUS_GSSAPI_GSI_LIBS} ${LIBCARES_LIBS}
+	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
 
 test_coverage:
 	-mkdir coverage
@@ -171,7 +191,7 @@
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
 install:
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
@@ -180,9 +200,11 @@
 	if [ x${DOSTAGE} = xyes ]; then \
 		install -m 644 ${lib_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
+	${INSTALL} -m 644 gss.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-security-gss.pc
 
 clean:
-	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client
+	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client *.pc
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -193,5 +215,10 @@
 %.thr.o: %.c
 	${COMPILE} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" -e "s/@GSSAPI_PROVIDER@/${GSSAPI_PROVIDER_PKG}/" $< > $@
+
 test_gss.o: %.o: %.cpp
 	${CXX} -c ${CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS} ${CPPUNIT_CFLAGS} -Wno-error $<
+
+.PHONY: default all compile check check.gss test_coverage examples doc stage install clean distclean dist distcheck
