=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lbjp-common-gss
-Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-gssapi-gsi-dev, pkg-config
+Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev, heimdal-dev, pkg-config
 Description: Development files for gLite L&B/JP common gss library
  This package contains development libraries and header files for gLite gss
  library.
