=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 configure-stamp:
 	dh_testdir
 	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.gss
+	echo "gssapi_provider=kerberos" >> Makefile.inc
+	echo "GLOBUS_COMMON_CFLAGS=`pkg-config --cflags globus-common`" >> Makefile.inc
+	echo "GLOBUS_COMMON_LIBS=`pkg-config --libs globus-common`" >> Makefile.inc
+	echo "KERBEROS_GSSAPI_LIBS=`krb5-config --libs gssapi`" >> Makefile.inc
+	echo "KERBEROS_GSSAPI_CFLAGS=`krb5-config --cflags gssapi`" >> Makefile.inc
 	touch $@
 
 build: build-arch build-indep
