=== debian/changelog ===
glite-lbjp-common-gss (3.2.14-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:52 +0100
