## glite-lbjp-common-gss 3.2.16

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	project/.post* project/*.pc.in \
 	project/doc/*.cls project/doc/*.pdf project/doc/*.tex project/doc/Makefile \
 	src/*.c \
-	test/*.cpp \
+	test/*.c test/*.cpp test/*.h \
 	Makefile
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
@@ -59,8 +59,10 @@
 LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINKXX:=libtool --mode=link  ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
@@ -136,6 +138,7 @@
 endif
 
 PKG_CONFIG_FILES=gss.pc
+TESTS=test_gss test_signals
 
 ifeq ($(thrflavour),)
 ${GSS_STATICLIB}: ${GSS_THROBJS}
@@ -143,7 +146,7 @@
 	ranlib $@
 
 ${GSS_LTLIB}: ${GSS_THROBJS}
-	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
+	${SOLINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
 else
 ${GSS_NOTHRSTATICLIB}: ${GSS_OBJS}
 	ar crv $@ ${GSS_OBJS}
@@ -154,33 +157,36 @@
 	ranlib $@
 
 ${GSS_NOTHRLTLIB}: ${GSS_OBJS}
-	${LINK} ${version_info} -o $@ ${GSS_LOBJS} ${GSSAPI_NOTHR_LIBS} ${LIBCARES_LIBS}
+	${SOLINK} ${version_info} -o $@ ${GSS_LOBJS} ${GSSAPI_NOTHR_LIBS} ${LIBCARES_LIBS}
 
 ${GSS_THRLTLIB}: ${GSS_THROBJS}
-	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
-endif
-
-
-all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES}
-
-check: compile check.gss
+	${SOLINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
+endif
+
+
+all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES} ${TESTS}
+
+check: compile
 
 check.gss: test_gss
 	# ./test_gss out.xml
 	echo test_gss not run automatically util we have got some credentials in X509_USER_PROXY
 
-test_gss: test_gss.o
-	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
+test_gss: testcore.thr.o test_gss.thr.o ${default_gss}
+	${LINKXX} -o $@ $+ ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
+
+test_signals: testcore.thr.o test_signals.thr.o ${default_gss}
+	${LINK} -o $@ $+
 
 test_coverage:
 	-mkdir coverage
 	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
 	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done
 
-gss_server: gss_server.o example_common.o
+gss_server: gss_server.thr.o example_common.thr.o
 	${LINK} -o $@ ${default_gss} $^ 
 
-gss_client: gss_client.o example_common.o
+gss_client: gss_client.thr.o example_common.thr.o
 	${LINK} -o $@ ${default_gss} $^
 
 examples:
@@ -201,7 +207,7 @@
 	${INSTALL} -m 644 gss.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-security-gss.pc
 
 clean:
-	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client *.pc
+	rm -rf *.o *.lo *.a *.la .libs ${TESTS} test_coverage out.xml gss_server gss_client *.pc
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
@@ -213,10 +219,10 @@
 %.thr.o: %.c
 	${COMPILE} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
 
+%.thr.o: %.cpp
+	${COMPILEXX} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
+
 %.pc: %.pc.in
 	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" -e "s/@GSSAPI_PROVIDER@/${GSSAPI_PROVIDER_PKG}/" $< > $@
 
-test_gss.o: %.o: %.cpp
-	${CXX} -c ${CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS} ${CPPUNIT_CFLAGS} -Wno-error $<
-
 .PHONY: default all compile check check.gss test_coverage examples doc stage install clean distclean dist distcheck
