=== project/doc/Makefile ===
all:
	pdflatex lbjp-common-gss_FD.tex

clean:
	rm -fv *.aux *.log *.out lbjp-common-gss_FD.pdf *.toc
