=== debian/changelog ===
glite-lbjp-common-gss (3.2.16-1.git20151003+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:52 +0200
