=== debian/control ===
Source: glite-lbjp-common-gss
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-security-gss9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper of Globus GSS/SSL implementation used by gLite LB and JP
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.

Package: libglite-lbjp-common-gss-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gss
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev, heimdal-dev, pkg-config
Description: Development files for gLite L&B/JP common gss library
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.
 .
 This package contains development libraries and header files for gLite gss
 library.

Package: libglite-security-gss9-dbg
Section: debug
Architecture: any
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite gss library
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.
 .
 This package contains debugging symbols for gLite gss library.
