=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-security-gss9-dbg
p_dev=libglite-lbjp-common-gss-dev
p_lib=libglite-security-gss9

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi
	echo "gssapi_provider=kerberos" >> Makefile.inc
	echo "GLOBUS_COMMON_CFLAGS=`pkg-config --cflags globus-common`" >> Makefile.inc
	echo "GLOBUS_COMMON_LIBS=`pkg-config --libs globus-common`" >> Makefile.inc
	echo "KERBEROS_GSSAPI_LIBS=`krb5-config --libs gssapi`" >> Makefile.inc
	echo "KERBEROS_GSSAPI_CFLAGS=`krb5-config --cflags gssapi`" >> Makefile.inc

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -fv Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)
