=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.gss/glite-lbjp-common-gss-(.*)\.tar\.gz
